<?php

namespace App\Http\Controllers\Main;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class ShowingController extends Controller
{
    public function show($id)
    {
        return view('main.showings.showing', ['title' => "Showing", 'showing' => \App\Models\Showing::findOrfail($id)]);
    }

    public function showAllShowings()
    {
        return view('main.showings.index', ['title' => "Showings", 'showings' => \App\Models\Showing::all()]);
    }

    public function order($id)
    {
        // if not authenticated piss off
        if (!auth()->check()) {
            return redirect()->route('login');
        }
        return view('main.order', ['title' => "Order Tickets", 'showing' => \App\Models\Showing::findOrfail($id)]);
    }
}
